@media (max-width:1200px) {
    .container {
        padding: 10px;
    }

    .footer {
        height: 220px;
    }

    .form-booking {
        display: grid;
        grid-template-areas: "name amount"
        "departure arrival"
        "mobile mobile"
        "question question"
        "button button"
        "captcha captcha";
        row-gap: 25px;
        padding: 20px 30px;
        background: #F49D19;
        border-radius: 6px;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: repeat(6, min-content);
        max-height: 87%;
      }

      .answer {
        text-align: center;
    }
}

@media (max-width:1100px) {
    .footer {
        height: 220px;
    }
    ._icon-name1::before, ._icon-amount::before, ._icon-minivan::before, ._icon-mobile::before, ._icon-pen::before {
        display: none;
    }

    .input-text.contact-form__input, .contact-form__input {
        padding-left: 10px;
    }
}

@media (max-width:980px) {
    .footer__logo {
        width: 10%;
    }

    .footer__menu-list a {
        font-size: 16px;
    }

    .footer__schedule-list li:first-child {
        font-size: 16px;
        margin-bottom: 4px;
    }

    .footer__schedule-list li {
        font-size: 22px;
        line-height: 35px;
    }

    .footer__schedule-list li:last-child {
        font-size: 19px;
    }

    .menu__top {
        grid-column-gap: 10px;
        font-size: 15px;
    }

    .slider__main {
        height: 350px;
        background: url(../img/slide.jpg) 0 0/100% 90% no-repeat;
    }

    .header-logo {
        flex: 0 0 100px;
    }

    .triangle1 {
        margin-top: 30px;
    }

    .about__descr-title h3 {
        font-size: 35px;
        line-height: 35px;
    }

    .about__descr-text p {
        margin-top: 10px;
        font-size: 18px;
        line-height: 26px;
    }

    .form-booking {
        display: flex;
        flex-direction: column;
        align-items: center;
        row-gap: 25px;
        padding: 20px 30px;
        background: #F49D19;
        border-radius: 6px;
        max-height: 87%;
      }

      .input-text {
        width:100%;
        padding: 8px 26p;
        background: #F8F8F8;
        box-shadow: inset 2px 2px 2px rgb(0 0 0 / 25%);
        border-radius: 6px;
    }
}

@media (max-width:768px) {
   

    ::placeholder {
        text-align: center; 
    }

    .btnUpto {
        display: none;
    }

    .footer__schedule-list li:first-child::before {
        width: 48px;
        height: 75px;
        left: -29px;
        top: -38px;
    }

    .footer__schedule-list li {
        line-height: 28px;
    }

    .footer__phone-list a {
        line-height: 15px;
    }

    .footer__menu-list li:not(:last-child) {
        margin-bottom: 12px;
    }

    .slider__main {
        height: 240px;
        background: url(../img/slide.jpg) 0 0/100% 240px no-repeat;
    }

    .header-logo {
        flex: 0 0 100px;
    }

    .hamburger-menu {
        display: block;
    }

    .header-menu__top,
    .header__top-link {
        display: none;
    }

    #menu__toggle {
        opacity: 0;
    }

    #menu__toggle:checked~.menu__btn>span {
        transform: rotate(45deg);
    }

    #menu__toggle:checked~.menu__btn>span::before {
        top: 0;
        transform: rotate(0);
    }

    #menu__toggle:checked~.menu__btn>span::after {
        top: 0;
        transform: rotate(90deg);
    }

    #menu__toggle:checked~.menu__box {
        visibility: visible;
        left: 0;
    }

    .menu__btn {
        display: flex;
        align-items: center;
        position: fixed;
        top: 50px;
        right: 40px;
        width: 26px;
        height: 26px;
        cursor: pointer;
        z-index: 1;
    }

    .menu__btn>span,
    .menu__btn>span::before,
    .menu__btn>span::after {
        display: block;
        position: absolute;

        width: 100%;
        height: 2px;

        background-color: #616161;

        transition-duration: .25s;
    }

    .menu__btn>span::before {
        content: '';
        top: -8px;
    }

    .menu__btn>span::after {
        content: '';
        top: 8px;
    }

    .menu__box {
        display: block;
        position: fixed;
        visibility: hidden;
        top: 0;
        left: -100%;

        width: 300px;
        height: 100%;

        margin: 0;
        padding: 80px 0;

        list-style: none;

        background-color: #ECEFF1;
        box-shadow: 1px 0px 6px rgba(0, 0, 0, .2);

        transition-duration: .25s;
        z-index: 10;
    }

    .menu__item {
        display: block;
        padding: 12px 24px;

        color: #333;

        font-family: 'Roboto', sans-serif;
        font-size: 20px;
        font-weight: 600;

        text-decoration: none;

        transition-duration: .25s;
        z-index: 11;
    }

    .menu__item:hover {
        background-color: #CFD8DC;
    }

    .burger__soc img {
        margin-left: 30px;
    }

    .menu__box li:nth-child(5) {
        position: relative;
    }

    .vk {
        position: absolute;
        bottom: 50%;
        left: 14%;
        width: 30px;
    }

    .inst {
        position: absolute;
        bottom: 50%;
        right: 90%;
        width: 30px;

    }

    .main__why {
        margin-top: 50px;
        background: #F2F2F2;
        padding: 30px auto;
    }

    .main__why-grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(7, max-content);
        grid-template-areas: "header header"
            "wfimg driverimg "
            "wftxt drivertxt "
            "raceimg safeimg "
            "racetxt saftxt "
            "busimg priceimg"
            "bustxt pricetxt";
        justify-items: center;
    }

    .triangle1 {
        margin-top: 20px;
    }

    .black-title h2 {
        font-size: 25px;
        line-height: 25px;

    }

    .about__descr-grid {
        display: flex;
        flex-direction: column;
        gap: 20px;
        align-items: center;
    }

    .questions__grid {
        padding: 0 10px;
        flex-direction: column;
        align-items: center;
        text-align: center;
        margin-top: 20px;
    }

    .main__questions {
        display: none;
    }

    .questions__form {
        order: 1;
        margin-bottom: 24px;
    }

    .questions__grid-left {
        order: 2;
    }

    .questions__grid-left-title,
    .questions__grid-right-title {
        font-size: 20px;
        line-height: 20px;
    }

    .questions__grid-left {
        width: 90.44%;
    }

    .questions__grid--booking .questions__form,
    .questions__grid--faq .questions__grid-left {
        width: 90%;
    }

    .questions__grid-title {
        padding: 9px 0 10px 1px;
    }

    .questions__form {
        width: 90%;
    }

    .questions__grid-title::after {
        display: none;
    }

    .questions__grid-left-title,
    .questions__grid-right-title {
        margin-bottom: 15px;
    }

    .questions__form {
        margin-top: 20px;
    }

    button.btn.questions__form-btn {
        margin-left: 0;
    }

    .socnet__title,
    .socnet__subtitle {
        font-size: 25px;
        line-height: 32px;
    }

    .contacts__group-flex a {
        font-size: 25px;
    }

    .slider-avtopark-wrapper {
        display: none;
    }

    .sliderbig__wrapper {
        width: 100%;
    }

    .footer__footer {
        display: grid;
        grid-template-columns: repeat(3, max-content);
        grid-template-rows: repeat(2, min-content);
        justify-items: center;
        grid-template-areas:
            "logo menu mob  "
            "schedule menu mob ";
    }

    .footer__logo {
        grid-area: logo;
        justify-self: start;
    }

    .footer__soc {
        display: none;
    }

    .footer__menu {
        grid-area: menu;
    }

    .footer__phone {
        grid-area: mob;
    }

    .footer {
        height: 175px;
        padding-top: 10px;
    }

    .footer__schedule-list li:first-child::before {
        left: -5px;
        top: -18px;
        padding-left: 11px;
        padding-top: 15px;
    }

    .footer__schedule {
        position: relative;
        padding: 21px 0 0 21px;
    }

    .footer__logo {
        grid-area: logo;
        justify-self: center;
        width: 30%;
    }

    .form-booking > * {
        width: 100%;
        min-width: 100%;
    }
    .captcha {
        display: flex;
        align-items: center;
    }

    .menu__btn {
        top: 20px;
    }

}

@media (max-width:590px) {
    .menu__box {
        margin-right: 10px;
    }

    .main__why-title {
        align-self: center;
        text-align: center;
    }

    .why__wifi {
        align-self: center;
    }

    .why__wifi-txt {
        align-self: center;
        margin-bottom: 30px;
    }

    .why__driver {
        align-self: center;
    }

    .why__driver-txt {
        align-self: center;
        margin-bottom: 30px;

    }

    .why__buses {
        align-self: center;
    }

    .why__buses-txt {
        align-self: center;
        margin-bottom: 30px;

    }

    .why__race {
        align-self: center;

    }

    .why__race-txt {
        align-self: center;
        margin-bottom: 30px;

    }

    .why__safe {
        align-self: center;
    }

    .why__safe-txt {
        align-self: center;
        margin-bottom: 30px;

    }

    .why__economy {
        align-self: center;

    }

    .why__economy-txt {
        align-self: center;
        margin-bottom: 30px;

    }

    .txt__why {
        align-self: center;
    }

    .main__why-grid:nth-child(3) {
        padding-bottom: 13px;
    }

    .russia__grid,
    .krim__grid,
    .europe__grid {
        display: flex;
        flex-direction: column;
    }

    .route-card__details {
        padding: 16px 18px;
    }

    .route-card__details h3,
    .route-card__notice h3 {
        font-size: 24px;
    }

    .route-card__details p,
    .route-card__notice p {
        font-size: 16px;
    }

    .route-card__notice {
        padding: 18px 20px;
    }

    .triangle2 {
        display: block;
        margin-left: 90px;
        margin-top: 10px;
    }

    .main__why-grid img {
        width: 60%;
        align-self: center;
    }

    .main__why {
        padding: 30px;
        text-align: center;
    }

    .about__descr-title h3 {
        font-size: 25px;
        line-height: 25px;
    }

    .slider__main {
        height: 190px;
        background: url(../img/slide.jpg) 0 0/100% 190px no-repeat;
    }

    .triangle1 {
        display: block;
        margin-top: 60px;
        margin-right: 116px;
    }

    .about__descr-text p {
        margin-top: 0px;
        font-size: 14px;
        line-height: 24px;
    }

    .main__why-grid.container {
        display: flex;
        flex-direction: column;
    }

    .main__why-grid img {
        width: 40%;
    }

    .img__why {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .main__why {
        padding: 10px;
    }

    .triangle1 {
        margin-top: 20px;
    }

    .slider-avtopark-wrapper {
        display: none;
    }

    .sliderbig__wrapper {
        width: 100%;
        max-width: 419px;
        margin: 0 auto;
    }

    .contacts__group-flex {
        flex-direction: column;
        align-items: center;
    }

    .callback__title,
    .callback__subtitle {
        font-size: 18px;
        line-height: 25px;
    }

    .main__callback {
        padding: 10px;
    }

    .contact-form {
        flex-direction: column;
        align-items: center;
        gap: 10px;
    }

    .socnet__title,
    .socnet__subtitle {
        font-weight: 700;
        font-size: 20px;
        line-height: 20px;
        font-weight: 700;
        font-size: 20px;
        line-height: 20px;
    }

    .contacts__group-flex a {
        font-size: 25px;
    }

    .contact-form__input-wrapper {
        margin-right: 0;
    }

    .questions__grid-form {
        align-items: center;
    }

    .footer__menu-list a {
        font-size: 14px;
        line-height: 1;
    }

    .footer__phone-list li:not(:last-child) {
        margin-bottom: 18px;
    }

    .footer__phone-list a {
        font-size: 14px;
    }

    .footer__schedule-list li:first-child {
        font-size: 14px;
        margin-bottom: 0px;
    }

    .footer__schedule-list li {
        line-height: 23px;
        font-size: 19px;
    }

    .footer__schedule-list li:last-child {
        font-size: 16px;
    }

    .footer__schedule-list li:first-child::before {
        width: 31px;
        height: 65px;
        left: 0px;
        top: -11px;
    }

    .footer {
        padding-top: 0px;
    }
}
ext
@media (max-width:450px) {
    .about__descr-title h3 {
        font-size: 25px;
        line-height: 25px;
    }

    .slider__main {
        height: 190px;
        background: url(../img/slide.jpg) 0 0/100% 190px no-repeat;
    }

    .triangle1 {
        display: block;
        margin-top: 60px;
        margin-right: 116px;
    }

    .about__descr-text p {
        margin-top: 0px;
        font-size: 14px;
        line-height: 24px;
    }

    .main__why-grid.container {
        display: flex;
        flex-direction: column;
    }

    .main__why-grid img {
        width: 40%;
    }

    .img__why {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .main__why {
        padding: 10px;
    }

    .triangle1 {
        margin-top: 20px;
    }

    .slider-avtopark-wrapper {
        display: none;
    }

    .sliderbig__wrapper {
        width: 100%;
        max-width: 419px;
        margin: 0 auto;
    }

    .contacts__group-flex {
        flex-direction: column;
        align-items: center;
    }

    .callback__title,
    .callback__subtitle {
        font-size: 18px;
        line-height: 25px;
    }

    .main__callback {
        padding: 10px;
    }

    .contact-form {
        flex-direction: column;
        align-items: center;
        gap: 10px;
    }

    .socnet__title,
    .socnet__subtitle {
        font-weight: 700;
        font-size: 20px;
        line-height: 20px;
        font-weight: 700;
        font-size: 20px;
        line-height: 20px;
    }

    .contacts__group-flex a {
        font-size: 25px;
    }

    .contact-form__input-wrapper {
        margin-right: 0;
    }

    .questions__grid-form {
        align-items: center;
    }

    .footer__footer {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, min-content);
        justify-items: center;
        grid-template-areas:
            "logo menu  "
            "schedule menu  "
            "mob mob";
    }

    .footer {
        height: auto;
    }

    ul.footer__phone-list {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, min-content);
        justify-items: center;
    }

    .footer__phone-list li:not(:last-child) {
        margin-bottom: 0px;
    }

    .footer__phone-list li{
        font-size: 28px;
    }

    .footer__phone {
        margin-top: 20px;
        width: 100%;
    }

    .slider__main {
        height: 150px;
        background: url(../img/slide.jpg) 0 0/100% 150px no-repeat;
    }
}
